/* 本文関連のスクリプト */
/* All Rights Reserved,Copyright(C) FUJITSU LIMITED 2007 */

/* ---------------------------目次タイトルと同期--------------------------- */
function CurrentTitle(){
	var objUserAgent=navigator.userAgent;
	if(objUserAgent.indexOf("MSIE 6.") != -1 || objUserAgent.indexOf("MSIE 7.") != -1){
		setFont();
		var intBrowserName=1;
	}
	else if(objUserAgent.indexOf("Gecko/") != -1){
		if(objUserAgent.indexOf("Netscape6/6.")!= -1){
			var intBrowserName=3;
		}
		else{
			var intBrowserName=2;
		}
	}
	else{
		var intBrowserName=3;
	}

	if(intBrowserName!=3){
		if(parent.menu){
			if(parent.menu.document.getElementById('tocpage')){
				var intTocAlength=parent.menu.document.getElementsByTagName("a").length-1;
				for (i=0;i<intTocAlength;i++){
					var objTocA=parent.menu.document.getElementsByTagName("a")[i];
					if(objTocA.style.backgroundColor="#FFFFCC"){
						objTocA.style.backgroundColor="";
					}
				}
				if(intBrowserName==1){
					var strAname=document.childNodes[1].childNodes[0].childNodes[4].content;
				}
				if(intBrowserName==2){
					var strAname=document.childNodes[1].childNodes[0].childNodes[7].content;
				}
				for(i=0;i<intTocAlength;i++){
					var charForSlash=new RegExp("/","ig");
					var charForSharp=new RegExp("#","ig");
					var objTocA=parent.menu.document.getElementsByTagName("a")[i];
					if(objTocA.href){
						var strTocAhref=objTocA.getAttribute("href");
						if(intBrowserName==1){
							var result=strTocAhref.match(charForSlash);
							var strTocAhref2=RegExp.rightContext;
							if(charForSharp.test(strTocAhref2)){
								var result=strTocAhref2.match(charForSharp);
								var strTocAhref2=RegExp.leftContext;
							}
						}
						if(intBrowserName==2){
							if(charForSharp.test(strTocAhref)){
								var result=strTocAhref.match(charForSharp);
								var strTocAhref2=RegExp.leftContext;
							}
							else{
								var strTocAhref2=strTocAhref;
							}
						}
						if(strAname==strTocAhref2 && parent.menu.document.getElementById('resultOut').style.display!="block"){
							objTocA.style.backgroundColor="#FFFFCC";
							break;
						}
					}
				}
			}
		}
	}
	else return false;
}
